---
title: "List all Conditions."
slug: "list-all-conditions-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/list-all-conditions-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Conditions.

Get/conditions

List all Conditions visible to current user.

SecurityHTTPType bearer

Query parametersquerystring

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

rangestring

'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBystring

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descendingstring

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object  property*string    additionalProperties
Example{
  "name": "us-east",
  "tags": "aws"
}

Responses200

List of Conditions.

<select class='api-response-data' aria-label='Media type'><option value='d0c534e1-195f-4084-b81a-ec16ff1263cb'>application/json</option>
</select>Expand Allobject  rangestring    

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBystring    

The field name used to sort the list.

Examplename
descendingboolean    

Whether the sorting is applied descending or ascending.

queries Array of string   

The queries applied to the list.

string    
totalCountinteger    

The total readable count of entities. Not influenced by the query.

Example328
filterBy Array of object (FilterBy)   

The filters applied to the list.

object  namestring    

The field name the filter is applied to.

Examplename
valuestring    

The value used for comparison.

ExampleAWS

data Array of object (Condition)   

List of Conditions.

object  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
expressionstring    

Boolean expression in JavaScript.

Examplevar result = false;
if/*password*/(claims.user.hasPassword('test', 60))/*end password*/ { return true; }
return result;
repeatSchedules Array of string   

A list of schedules that decides when to reevaluate the Condition. All the scheduled times will be effective. One will not override the other. - It can be a time of the day, e.g. 13:00, 10:25, 2:10 etc. - It can be one of the predefined intervals, e.g. 1m, 5m, 15m, 1h. These intervals will be always rounded up, i.e. if it's 15m and the time is 12:07 when the Condition is evaluated first, then the next evaluation will occur at 12:15, and the next one will be at 12:30 and so on.

Example[
  "1h",
  "13:32"
]string    
remedyLogicstring    

Whether all the Remedy Methods must succeed to pass this Condition or just one.

Valid values[
  "and",
  "or"
]Default"and"
remedyMethods Array of object (RemedyMethod)   

The remedy methods that will be triggered if the evaluation fails.

object  typestring    

User Action type.

Valid values[
  "DisplayMessage",
  "OtpAuthentication",
  "PasswordAuthentication",
  "Reason"
]ExamplePasswordAuthentication
messagestring    

Message to be shown to the user. Required for all remedy method.

ExampleThis resource requires you to enter your password again
claimSuffixstring    

Suffix to be added to the claim. Required for OtpAuthentication, PasswordAuthentication and Reason remedy methods.

Exampletest
providerIdstring  (uuid)    

MFA Provider Id or Identity Provider Id. Required for some remedy method.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='d3cf2068-cd30-45f2-9c81-d14cc0dbc809'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='16555eaa-5857-47b6-936e-6d367d5eb438'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='4b7178c5-fee6-4c0d-86a5-8dbe5d4b1c45'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='e50cde8e-c397-48eb-918a-19936ed52f11'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
